<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('refinelog', function (Blueprint $table) {
            $table->unsignedInteger('pid')->nullable();
            // TODO Remove this since we have item_id
            $table->string('item_name', 24);
            $table->integer('item_id');
            $table->string('step', 50);
            $table->dateTime('time')->useCurrent();
            $table->boolean('is_success')->default(false);
            $table->set('setType', ['SOCKET', 'POWER', 'ROD', 'GUILD', 'SCROLL', 'HYUNIRON', 'GOD_SCROLL', 'MUSIN_SCROLL'])->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('refinelog');
    }
};
